> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Phone Number Subscription

> Delete a specific phone number

<Info>You will be charged until the end of the current billing cycle if you cancel a phone number subscription.</Info>


## OpenAPI

````yaml DELETE /phonenumbers/{phoneNumberId}
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /phonenumbers/{phoneNumberId}:
    delete:
      description: Delete a specific phone number
      parameters:
        - name: phoneNumberId
          in: path
          description: The phone number ID of the phone number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success response with phone number details
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Whether the phone number was successfully deleted, can be
                      either `success` or `failed`
        '404':
          description: Phone number not found
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````